Package com.mckoi.util

## Interface UserTerminal

All Known Implementing Classes:
  `ShellUserTerminal`

    public interface UserTerminal

An interface that represents a terminal that is asked questions in human and machine understandable terms, and sends answers. This interface is intended for an interface in which the user is asked questions, or for an automated tool.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `ask​(java.lang.String question, java.lang.String[] options, int default_answer)` Asks the user a question from the 'question' string.
`void` `print​(java.lang.String str)` Outputs a string of information to the terminal.
`void` `println​(java.lang.String str)` Outputs a string of information and a newline to the terminal.

### Method Detail

#### print

    void print​(java.lang.String str)

Outputs a string of information to the terminal.

#### println

    void println​(java.lang.String str)

Outputs a string of information and a newline to the terminal.

#### ask

    int ask​(java.lang.String question,
            java.lang.String[] options,
            int default_answer)

Asks the user a question from the 'question' string. The 'options' list is the list of options that the user may select from. The 'default_answer' is the option that is selected by default.